BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Runtime.InteropServices.ComVisible(true)

The members of this class are used to specify infinite time-out intervals in threading operations. is used by methods that accept an integer parameter, such as , , and . is used by methods that accept a parameter of type , such as , , and .

Contains constants that specify infinite time-out intervals. This class cannot be inherited.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 -1

  For threading methods that accept a parameter, such as and , this value is used to suspend the thread indefinitely. However, in most cases, we recommend that you use other classes such as , , , or instead to sychronize threads or manage resources.

  A constant used to specify an infinite waiting period, for threading methods that accept an parameter.

  0
- Field
  4.0.0.0
  System.TimeSpan

  For threading methods that accept a parameter, such as and , this value is used to suspend the thread indefinitely. However, in most cases, we recommend that you use other classes such as , , , or instead to sychronize threads or manage resources.

  A constant used to specify an infinite waiting period, for methods that accept a parameter.

0